Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

Overview
LifecycleAssignmentsProvider ActionsSmart Dispatch
Work OrdersWorkflow

Smart Dispatch

Automate routing using detailed logic and rules.


Smart Dispatch

Smart Dispatch (formerly Auto Dispatch) automates the process of finding and assigning providers based on pre-set logic.

Trigger Smart Dispatch

Manually trigger the Smart Dispatch logic for a work order.

POST /workorders/smart-dispatch

{
  "work_order_ids": [1001, 1002, 1003],
  "strategy": "standard"
}

This will evaluate the work orders against your active routing rules and dispatch them accordingly.


Project Dispatch Settings

Configure dispatch automation rules at the Project level.

Get Dispatch Settings

GET /project/{project_id}/dispatch-settings

{
  "mode": "automatic",
  "rules": [
    {
      "order": 1,
      "type": "preferred_group",
      "target_id": 500,
      "delay_hours": 0
    },
    {
      "order": 2,
      "type": "marketplace",
      "criteria": { "rating": 4.5 },
      "delay_hours": 24
    }
  ]
}

Create/Update Settings

POST /project/dispatch-settings or PUT /project/{project_id}/dispatch-settings

{
  "project_id": 123,
  "mode": "automatic",
  "rules": [
    {
      "order": 1,
      "type": "talent_pool",
      "target_id": 99,
      "wait_time": 4
    }
  ]
}

How It Works

Loading diagram...

Related

  • Lifecycle - Manual routing methods
  • Projects - Project configuration
  • Talent Pools - Targets for dispatch

Last updated on

Provider Actions

Handle provider-initiated actions like cancellations and delays.

Tasks

Manage task checklists that providers must complete.

On this page

Smart Dispatch
Trigger Smart Dispatch
Project Dispatch Settings
Get Dispatch Settings
Create/Update Settings
How It Works
Related